Gecode::MiniModel::FinalBag Class Reference

For collecting final states while constructing a DFA. More...

## Public Member Functions

| FinalBag (void)
void | add (int)
void | finish (void)
int * | finals (void)

## Detailed Description

For collecting final states while constructing a DFA.

Definition at line 797 of file reg.cpp.

## Constructor & Destructor Documentation

## FinalBag()

Gecode::MiniModel::FinalBag::FinalBag | ( | void |  | ) |

inline

Definition at line 809 of file reg.cpp.

## Member Function Documentation

## add()

void Gecode::MiniModel::FinalBag::add | ( | int | state | ) |

inline

Definition at line 812 of file reg.cpp.

## finish()

void Gecode::MiniModel::FinalBag::finish | ( | void |  | ) |

inline

Definition at line 817 of file reg.cpp.

## finals()

int * Gecode::MiniModel::FinalBag::finals | ( | void |  | ) |

inline

Definition at line 822 of file reg.cpp.

The documentation for this class was generated from the following file:

- gecode/minimodel/reg.cpp